[Buildroot] [PATCH 1/1] php-amqp: selects openssl

Fabrice Fontaine fontaine.fabrice at gmail.com
Mon Jun 4 05:25:05 UTC 2018


Dear Thomas,

2018-06-04 6:59 GMT+02:00 Thomas Petazzoni <thomas.petazzoni at bootlin.com>:

> Hello,
>
> On Sun,  3 Jun 2018 21:31:26 +0200, Fabrice Fontaine wrote:
> > php-amqp needs a rabbitmq-c with openssl support:
> > https://github.com/pdezwart/php-amqp/issues/310
>
> We've had php-amqp since October 2016 and the last version bump is from
> May 2017, i.e a year ago. What has changed that makes php-amqp now
> require OpenSSL support in rabbitmq-c ?
>
SSL connection supports in php-amqp was added in 1.8.0beta2:
https://github.com/pdezwart/php-amqp/commit/83defa18d958503a395e928d4669a23041014b2e
.
So it was introduced in buildroot by the bump to version 1.9.0 in May 2017.
In autobuilders, we have three errors with php-amqp:
http://autobuild.buildroot.net/?reason=php-amqp-1.9.0.
The three errors are all related to SSL and the older one is from February
2018 but I suppose that autobuilder results are deleted after some time?

>
> Is this an issue that was always occurring, but we never fixed ? Is it
> a new issue ? If so, why does it suddenly started to happen ?


> Thanks!
>
> Thomas
> --
> Thomas Petazzoni, CTO, Bootlin (formerly Free Electrons)
> Embedded Linux and Kernel engineering
> https://bootlin.com
>
Best Regards,

Fabrice
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.busybox.net/pipermail/buildroot/attachments/20180604/c0364cc1/attachment-0002.html>


More information about the buildroot mailing list